Unsupported Browser

We see you are using an old version Internet Explorer. For security and stability reasons, we require users to use Chrome, Firefox, or Internet Explorer 9 or better.

System Requirements

Download System Requirements

General Requirements

EvaluationWeb® runs completely in your compatible web browser, so no application software or data is installed on your computer. A high-speed Internet connection and a modern web browser that supports Adobe’s Flash Player (most recent version recommended) are required.

Microsoft Windows is not required to use EvaluationWeb. We have users who use Apple Mac OS X and Linux. EvaluationWeb does not currently work on tablets like Apple iPad or Samsung Galaxy Tab.

See below for more specific system requirements and links to update your software. All software listed below is available free of charge. However, administrator privileges may be required to install or update your software. Please contact your organization’s IT staff about updating your computer’s software.

If you have questions or concerns about the requirements to run EvaluationWeb, please contact us at (866) 517-6570, Option 1 or at help@lutherconsulting.com

Web Browser

EvaluationWeb® runs very well on Google Chrome, Mozilla Firefox, and Safari.

As of January 2016, EvaluationWeb does not support Internet Explorer 10 and lower. If you are unable to run a browser other than Internet Explorer, IE 11 or later is recommended.

In Windows 10, Microsoft created a new browser called Edge. EvaluationWeb is compatible with Edge

To have the best possible EvaluationWeb experience, update to the newest version of your browser.

Screen Resolution

resolution

A minimum display resolution of 1024 x 768 pixels is required. Larger resolutions are supported.

Flash Player

Adobe Flash

EvaluationWeb® requires Adobe Flash Player, which can be downloaded at http://get.adobe.com/flashplayer. Use the most recent version of Flash Player to avoid security issues. Flash Player has the following hardware requirements to run on various platforms:

Windows

  • 2.33GHz or faster x86-compatible processor, or Intel® Atom™ 1.6GHz or faster processor for netbooks
  • Microsoft® Windows® XP (32-bit and 64-bit), Windows Server 2008 (32 bit), Windows Vista® (32-bit and 64-bit), Windows 7 (32 bit and 64 bit), Windows 8.x (32 bit and 64 bit), or Windows Server 2012 (64 bit)
  • Internet Explorer 11.0 or later, latest versions of Mozilla Firefox, Google Chrome, and Opera
  • 512MB of RAM (1GB of RAM recommended for netbooks); 128MB of graphics memory

Mac OS X

  • Intel Core™ Duo 1.83GHz or faster processor
  • Mac OS X v10.6, or later
  • Latest versions of Safari, Mozilla Firefox, Google Chrome, and Opera
  • 512MB of RAM; 128MB of graphics memory

Linux

  • 2.33GHz or faster x86-compatible processor, or Intel Atom 1.6GHz or faster processor for netbooks
  • Red Hat® Enterprise Linux® (RHEL) 5.6 or later (32 bit and 64 bit), openSUSE® 11.3 or later (32 bit and 64 bit), or Ubuntu 10.04 or later (32 bit and 64 bit)
  • Latest versions of Firefox or Google Chrome
  • 512MB of RAM; 128MB of graphics memory